View Issue Details

IDProjectCategoryView StatusLast Update
0000567Ham Radio DeluxeBugpublic2019-03-01 19:27
ReporterW4PCAssigned ToJOSE 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWin XPOS VersionSP3
Product Version 
Target VersionFixed in Version6.5.0.196 
Summary0000567: HRD Rotor unable to connect to M-Squared RC2800P-A
DescriptionRecent installation of HRD 6.1.3
M2 RC2800P-A RS232 connection COM3, PCI serial port controller, (not USB)
All other logging programs connect to rotor.
A simple HyperTerm session communicates with rotor, at least if attempted before starting HRD.
HRD Rotor not only fails to connect, attempting to do so trashes its ability to connect to other logging programs until it is power cycled.
Power cycle of M2 devise restores connectivity to other logging programs and HyperTerm but not HRD rotor.
HRD apparently disables communication of the M2 device.
Steps To Reproduce1. Start Windows Hyper Term, set up terminal session on COM3 9600,8,n,1
2. Type: A <cr> Unit responds with status
3. Type any integer 0-360 and <cr> Unit rotates to heading and reports status a couple times until ST.
4. Quit HyperTerm and start HRD rotor. (Rotor type and com port already configured)
5. Connect to rotor. After about a 4 second pause connection not established. (see logs in trouble ticket)
6. Quit HRD rotor and start HyperTerm again with HT file from before.
7. A <cr> produces no response.
8. Integer 0-360 turns the rotor, but no status displayed in HyperTerm
9. Turned off rotor for 10 seconds, then back on.
10. Rotor behavior normal as in steps 2 and 3.
11. Moved everything to COM1, same issues. COM1 is used successfully by HRD MAIN to communicate with K3 transceiver.
Additional InformationRef: trouble ticket 708484 much detail there.
M2 unit is 10 years old, but in perfect condition. Original firmware.
HRD ONLY program unable to work with this unit.
TagsNo tags attached.
ModuleRotator
Sub-Module(select)
TestingNot Started

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:57 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 22:55 WA9PIE Release => (select)
2014-01-31 22:55 WA9PIE Module => (select)
2014-01-31 22:55 WA9PIE Sub-Module => (select)
2014-01-31 22:55 WA9PIE Report Build => (select)
2014-01-31 22:55 WA9PIE Status new => acknowledged
2014-02-02 14:45 WA9PIE Summary HRD Rotor unable to connect to M-Squared RC2800P-A => Bug: HRD Rotor unable to connect to M-Squared RC2800P-A
2015-09-17 13:09 WA9PIE Module (select) => Rotator
2015-09-17 13:15 WA9PIE Category Rotator => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 16:06 WA9PIE Fix Build => (select)
2015-09-29 16:06 WA9PIE Summary Bug: HRD Rotor unable to connect to M-Squared RC2800P-A => HRD Rotor unable to connect to M-Squared RC2800P-A
2018-03-04 00:53 WA9PIE Status acknowledged => assigned
2018-03-04 00:53 WA9PIE Assigned To => JOSE
2018-03-04 00:54 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2018-03-04 00:56 WA9PIE Testing => Not Started
2019-02-12 21:18 JOSE Status assigned => resolved
2019-02-12 21:18 JOSE Resolution open => fixed
2019-02-12 21:18 JOSE Fixed in Version => 6.5.0.192
2019-02-24 14:35 WA9PIE Fixed in Version 6.5.0.192 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2019-03-01 19:26 WA9PIE Fixed in Version 6.5.0.196 => 6.5.0.199
2019-03-01 19:27 WA9PIE Fixed in Version 6.5.0.199 => 6.5.0.196